nvidia-prime (0.8.16~0.20.04.2) focal; urgency=medium

  [ Jeremy Szu ]
  * Set on-demand mode as default nvidia mode (LP: #1942307)

  [ Alberto Milone ]
  * prime-select:
    - Detect chassis type and enable RTD3 only
      on laptops (LP: #1942788).
    - on-demand mode doesn't need to depend on
      RTD3 (LP: #1942789).
    - Don't check the current profile when setting
      a profile (LP: #1946476).
    - Handle BrokenPipeError (LP: #1965520).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 28 Oct 2021 16:40:04 +0200

nvidia-prime (0.8.16~0.20.04.1) focal; urgency=medium

  * prime-select:
    - Make sure to update the initramfs, so that
      the driver options can be applied correctly.
      This time around we can also provide visual
      feedback (in the form of a progress spinner)
      while update-initramfs is running (LP: #1915003).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 10 Feb 2021 12:38:51 +0100

nvidia-prime (0.8.15.3~0.20.04.1) focal; urgency=medium

  [ Alberto Milone ]
  * prime-select:
    - Enable runtimepm in on-demand mode if supported (LP: #1895855).
    - Disable workaround for on-demand mode.
    - Enable KMS if runtimepm is supported.
  * debian/postinst.in:
    - Remove obsolete udev rules in the postinst too.
  * debian/rules:
    - Add postinst file to the autoclean target.

  [ Kai-Heng Feng ]
  * prime-select: Remove udev rules (LP: #1904583).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 20 Nov 2020 16:19:39 +0100

nvidia-prime (0.8.14) focal; urgency=medium

  * prime-offload:
    - Detect nvidia modules more accurately before using prime.
      We don't want to catch i2c_nvidia_gpu or any other module
      that is not relevant.
  * prime-select:
    - Use udev rules to run early (LP: #1848326).
    - Remove the 380 pci class.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Feb 2020 13:24:26 +0100

nvidia-prime (0.8.13) eoan; urgency=medium

  * prime-select:
    - All modes require a reboot now.
      This allows disabling the dGPU, either in some of its pci functions
      (such as audio, in on-demand mode) or completely (in intel mode).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 21 Aug 2019 17:22:10 +0200

nvidia-prime (0.8.12) eoan; urgency=medium

  * prime-select:
    - Disable KMS by default, but keep creating the
      /lib/modprobe.d/nvidia-kms.conf file, so that it can be
      re-enabled easily.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 01 Aug 2019 09:29:01 +0200

nvidia-prime (0.8.11) eoan; urgency=medium

  [ Yuan-Chen Cheng ]
  * prime-select:
    - Add on-demand mode (LP: #1824282).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 09 Jul 2019 17:09:27 +0200

nvidia-prime (0.8.10) cosmic; urgency=medium

  * prime-switch:
    - Give udev the time to add the drm device. Fixes a race
      condition that causes problems when using lightdm and
      sddm (LP: #1778011).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 01 Oct 2018 11:06:55 +0200

nvidia-prime (0.8.9) cosmic; urgency=medium

  [ Alberto Milone ]
  * 90-nvidia.conf,
    debian/rules,
    prime-select:
    - Make sure to remove the old blacklist file.
    - Use /lib for blacklist-nvidia.conf.
    - Do not check if prime is supported when disabling nvidia.
    - Enable KMS by default.
    - Install prime-switch again (LP: #1778011).
  * debian/nvidia-prime.nvidia-prime-boot.service:
    - Remove service.

  [ Alex Tu ]
    * prime-select: avoid regenerating the initramfs.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 31 Jul 2018 16:47:20 +0200

nvidia-prime (0.8.8) bionic; urgency=medium

  * 90-nvidia.conf,
    debian/dirs.in,
    debian/install.in,
    debian/rules,
    oem/00-prime-offload,
    prime-offload,
    prime-switch:
    - Restore the Lightdm configuration snippets, as it removing
      them caused a black screen on boot on all the Ubuntu flavours
      that rely on Lightdm (LP: #1764005).
      Leave only prime-switch out, since a reboot is required now.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 20 Apr 2018 12:25:01 +0200

nvidia-prime (0.8.7) bionic; urgency=medium

  * prime-select:
    - Do not fail if the blacklist file is not there (LP: #1763302).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Apr 2018 13:04:23 +0200

nvidia-prime (0.8.6) bionic; urgency=medium

  [ Alberto Milone ]
  * debian/control:
    - Drop dependencies on bbswitch, lsb-release, pciutils,
      and on login managers.
    - Make nvidia-prime arch independent.
  * debian/rules,
    90-nvidia.conf,
    debian/dirs.in,
    debian/install.in,
    oem/00-prime-offload,
    prime-offload,
    prime-switch:
    - Remove obsolete files.
  * prime-select,
    debian/nvidia-prime.nvidia-prime-boot.service:
    - Drop code to deal with alternatives, since the nvidia
      packages don't use them any more.
    - Rely on nouveau and vgaswitcheroo to switch off
      the discrete GPU (LP: #1757180).

  [ Bryan Quigley ]
  * debian/nvidia-prime.upstart:
    - Remove upstart file.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 20 Mar 2018 17:28:05 +0100

nvidia-prime (0.8.5) artful; urgency=medium

  * debian/control, debian/rules, prime-select:
    - Add support for and depend on python 3 (LP: #1721394).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 10 Oct 2017 11:40:53 +0200

nvidia-prime (0.8.4) yakkety; urgency=medium

  * debian/postrm.in:
    - Do not try to remove the old xorg.conf (LP: #1345585).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 25 Jul 2016 17:54:00 +0200

nvidia-prime (0.8.3) yakkety; urgency=medium

  * debian/control:
    - Use gdm3 instead of gdm (LP: #1582439).
      Thanks to Jeremy Bicha for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 30 Jun 2016 18:16:15 +0200

nvidia-prime (0.8.2) xenial; urgency=medium

  * prime-select:
    - Add support for EGL alternatives.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 28 Jan 2016 17:33:03 +0100

nvidia-prime (0.8.1) vivid; urgency=medium

  * debian/control:
    - Add alternative dependency on sddm.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 02 Apr 2015 17:43:15 +0200

nvidia-prime (0.8) vivid; urgency=medium

  * Drop upstart dependency, previous version added systemd support.
    (LP: #1428849)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Mar 2015 08:43:49 +0100

nvidia-prime (0.7) vivid; urgency=medium

  * debian/control, debian/dirs.in, debian/install.in,
    debian/nvidia-prime.service, debian/rules:
    - Add support for systemd (LP: #1312255).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Jan 2015 19:32:00 +0100

nvidia-prime (0.6.6) utopic; urgency=medium

  * prime-select:
    - Simplify the logic for enablement. The simplified logic
      should also be more robust and try harder instead of
      complaining and aborting early (LP: #1310023).
      This is now possible thanks to the fact that we allow
      installing only one binary driver at the time. This is
      not the case in Ubuntu <= 12.04.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 19 Jun 2014 15:48:06 +0200

nvidia-prime (0.6.5) utopic; urgency=medium

  * debian/dirs.in, debian/install.in, oem/00-prime-offload:
    - Add support for offloading rendering to NVIDIA when using
      the OEM installer.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 May 2014 15:54:58 +0200

nvidia-prime (0.6.4) utopic; urgency=medium

  * prime-quirks:
    - Remove quirk for "Vostro 20 3015". We were really getting
      a false positive in the gpu-manager (LP: #1310516).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 May 2014 13:16:57 +0200

nvidia-prime (0.6.3) utopic; urgency=medium

  * prime-quirks:
    - Add quirk for "Vostro 20 3015" (LP: #1310516).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 12 May 2014 15:47:15 +0200

nvidia-prime (0.6.2) trusty; urgency=medium

  * prime-supported:
    - Check /var/lib/ubuntu-drivers-common/requires_offloading to
      know if we need to offload rendering. There's no need to do
      hardware detection again when the gpu-manager already does
      all the work.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 31 Mar 2014 17:13:37 +0200

nvidia-prime (0.6.1) trusty; urgency=medium

  * debian/preinst.in, debian/rules:
    - Move the lightdm configuration file from /etc to /usr/share.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 13 Mar 2014 17:13:50 +0100

nvidia-prime (0.6) trusty; urgency=low

  * debian/control:
    - Breaks: ubuntu-drivers-common (<< 1:0.2.89).
  * Add support for the new ubuntu-drivers-common. The gpu-manager
    will take care of most of the work. We only need to tell
    lightdm that we want to offload rendering, and to run the
    gpu-manager on log out.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Mar 2014 09:19:12 +0100

nvidia-prime (0.5.7) trusty; urgency=low

  * debian/preinst.in:
    - Do not remove the lightdm configuration file.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 21 Feb 2014 14:49:59 +0100

nvidia-prime (0.5.6) trusty; urgency=low

  [ Daniel Dadap ]
  * prime-xconfig:
    - Format the BusID string correctly (LP: #1282796).
      The BusID string created by prime-xconfig had several problems:
      1) It was missing the bus type "PCI", as recommended by
         xorg.conf(5).
      2) Values were written in hexadecimal, as reported by lspci,
         instead of decimal, as expected by the server. (See the
         comment at the top of xf86ParsePciBusString().)
      3) The PCI domain was not specified.
      Giving the BusID string in the wrong format could cause the X
      server to fail to parse the BusID, or to parse numbers in the
      wrong base. On systems with more than one PCI domain, `lspci -n`
      output would include the domain number, which is omitted by
      default on systems with only one PCI domain. nv_get_id()
      expects the bus number to be the first field, which would not be
      correct when `lspci -n` reports the domain, as it does on
      systems with multiple domains.
      Fix these issues by always reporting the domain with `lspci -Dn`
      and using it in the BusID string, prepending "PCI:" to the
      BusID string, and printing all numeric values in decimal.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 21 Feb 2014 09:50:34 +0100

nvidia-prime (0.5.5) trusty; urgency=low

  * debian/rules:
    - Fix path to lightdm configuration files.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 31 Jan 2014 16:12:44 +0100

nvidia-prime (0.5.4) trusty; urgency=low

  * Do not touch lightdm.conf any more on anything newer than Precise.
    90-nvidia.conf now contains only the relevant settings for PRIME
    (LP: #1267442).
  * Also remove any previous lightdm.conf that nvidia-prime might
    have messed up.
  * Major packaging clean-up. The variable in debian/rules and in
    templates have clearer names now.
  * Clean up the old 90-nvidia.conf that we used to ship in /etc.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Jan 2014 17:30:43 +0100

nvidia-prime (0.5.3) trusty; urgency=low

  * debian/postrm.in, debian/rules:
    - Avoid calling dpkg-architecture (LP: #1264611).
  * prime-xconfig:
    - Properly format hexadecimal parameters (LP: #1252667).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 10 Jan 2014 14:41:22 +0100

nvidia-prime (0.5.2) trusty; urgency=low

  * debian/control:
    - Add an alternative dependency on gdm and kdm
      so that gdm or kdm users are not forced to install
      lightdm now that nvidia depends on nvidia-prime.
      This fixes only the single graphics card use case
      (hybrid graphics won't still work without lightdm)
      but it's a step in the right direction (LP: #1262068).
  * debian/preinst.in:
    - Set the lightdm configuration bits only if lightdm
      is the default display manager.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 20 Dec 2013 15:43:58 +0100

nvidia-prime (0.5.1) trusty; urgency=low

  * debian/nvidia-prime.upstart, prime-switch:
    - Send events to start and to stop the
      nvidia-persistenced upstart job.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 17 Dec 2013 10:26:25 +0100

nvidia-prime (0.5) trusty; urgency=low

  * debian/control:
    - Depend on bbswitch-dkms and upstart.
    - Depend on lightdm (>= 1.9.1).
    - Build only for i386 and amd64.
  * debian/install.in:
    - Install the new components.
  * debian/nvidia-prime.upstart:
    - Make sure that NVIDIA is always enabled on shutdown.
      This will avoid issues with the BIOS.
    - Make sure that bbswitch does not disable nvidia when
      loading.
    - Set up xorg.conf on boot.
  * debian/preinst.in:
    - Create a display-stopped-script entry in lightdm.conf.
    - Create /etc/lightdm/hybrid_default.
  * debian/postinst.in:
    - Remove it.
  * debian/postrm.in:
    - Remove /etc/lightdm/hybrid_default on package removal.
    - Remove the display-stopped-script entry from
      lightdm.conf.
    - Restore the non-prime related alternative on removal.
  * New upstream release:
    - Improved hardware detection. The package won't change
      anything if the hardware configuration is not
      supported. We only support laptops with NVIDIA
      optimus hardware and nvidia driver >= 319
      (LP: #1249067).
    - More robust system to deal with xorg.conf. Broken
      xorg.conf files will be automatically restored to
      a configuration that works with hybrid graphics.
      Whether on boot or on log out, we always try to make
      sure that the system is configured correctly.
    - Added prime-select switcher to switch between the
      integrated and the discrete GPU. This allows users
      to disable the discrete GPU to save power. Users'
      settings are now saved and applied on log out and
      on boot.
    - Added a quirk system to pass custom options to the
      bbswitch module (see /etc/prime-quirks).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 04 Dec 2013 16:23:32 +0100

nvidia-prime (0.4.2) trusty; urgency=low

  * debian/postinst.in: fix issue with printf
    - Apparently the printf command treats string values
      with leading zeros as octal. Work around this by
      removing any leading zeros (LP: #1219650).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 23 Oct 2013 15:45:24 +0200

nvidia-prime (0.4.1) trusty; urgency=low

  * debian/preinst.in:
    - Remove leftover in the test condition. This was
      causing the lightdm.conf file to be rewritten
      every time. This is a serious problem on the
      different Ubuntu flavours (LP: #1224098).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 23 Oct 2013 13:03:55 +0200

nvidia-prime (0.4) saucy; urgency=low

  * debian/postinst.in, hybrid-power:
    - Make sure to support more pci device classes as per
      the pci.ids file (LP: #1207626).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Aug 2013 11:27:27 +0200

nvidia-prime (0.3) saucy; urgency=low

  * debian/postinst.in:
    - Do not touch the lightdm.conf (LP: #1199342).
  * debian/preinst.in:
    - Create a lightdm.conf if none can be found.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 24 Jul 2013 10:20:06 +0200

nvidia-prime (0.2) saucy; urgency=low

  * debian/control:
    - Conflict/replace/provide the hybrid-graphics virtual
      package.
  * Make sure to start X instead of XMir or hybrid graphics
    won't work, at least for now.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 03 Jul 2013 11:42:17 +0200

nvidia-prime (0.1) saucy; urgency=low

  * Initial Release.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 31 May 2013 14:10:46 +0200
